#
# spec file for package libzimg
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define         sover 2

Name:           libzimg
Summary:        Scaling, colorspace conversion, and dithering library 
Version:        2.7.4
Release:        1.4
Url:            https://github.com/sekrit-twc/zimg
Source0:        zimg-release-%{version}.tar.gz
License:        WTFPL
Group:          System/Libraries
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkgconfig

%description
The "z" library implements the commonly required image processing
basics of scaling, colorspace conversion, and depth conversion.

%package -n libzimg%{sover}
Summary:        Scaling, colorspace conversion, and dithering library
Group:          System/Libraries

%description -n libzimg%{sover}
The "z" library implements the commonly required image processing
basics of scaling, colorspace conversion, and depth conversion.

%package devel
Summary:        Development files for libzimg%{sover}
Group:          Development/Libraries/C and C++
Requires:       libzimg%{sover} = %{version}

%description devel
The libzimg-devel package contains libraries and header files for
developing applications that use libzimg%{sover}.

%prep
%setup -n zimg-release-%{version}

%build
./autogen.sh
%configure \
  --docdir=%{_docdir}/libzimg \
  --enable-x86simd \
  --disable-static
%__make %{?jobs:-j %jobs}

%install
%makeinstall
find %{buildroot} -iname '*.la' -delete

%post -n libzimg%{sover} -p /sbin/ldconfig

%postun -n libzimg%{sover} -p /sbin/ldconfig

%files -n libzimg%{sover}
%defattr(-,root,root)
%{_libdir}/libzimg.so.%{sover}*
%dir %{_docdir}/libzimg
%doc %{_docdir}/libzimg/COPYING
%doc %{_docdir}/libzimg/README.md
%doc %{_docdir}/libzimg/ChangeLog

%files devel
%defattr(-,root,root)
%{_includedir}/zimg.h
%{_includedir}/zimg++.hpp
%{_libdir}/libzimg.so
%{_libdir}/pkgconfig/zimg.pc
%{_docdir}/libzimg/example/

%changelog
* Tue Feb 13 2018 enzokiel@kabelmail.de
- Update to version 2.7.4
  + x86: fix crash on Yorkfield (Core 2 Quad) processors
  (introduced in 2.7)
- Version 2.7.3
  + resize: fix performance drop in certain resampling ratios
- Version 2.7.2
  + graph: fix image corruption in certain conversions (introduced
    in 2.7)
  + resize: fix AVX-512 horizontal resize with certain widths
    (introduced in 2.6)
- Version 2.7.1
  + colorspace: fix incorrect ST.428 primaries (introduced in 2.7)
  + colorspace: preserve BTB/WTW when approximate_gamma is set
  + colorspace: optimize handling of IEC 61966-2-4 transfer
    characteristics
- Version 2.7
  + colorspace: add support for additional matrix/transfer/primaries
  + graph: reduce buffer copies when converting from grey to color
  + graph: reduce buffer copies when performing colorspace conversion
  + graph: process input planes separately when possible
  + graph: optimize calculation of tile width
  + x86: automatic cache size detection for Intel processors
- Version 2.6.3
  + resize: fix crash in AVX-512 resizer with GCC
  + resize: improve cache efficiency in AVX-512 horizontal resizers
* Fri Nov  3 2017 joerg.lorenzen@ki.tng.de
- Update to version 2.6.2
  + depth: fix AVX-512 clamping of negative pixels
  + graph: fix WORD greyscale to YUV conversion
* Tue Oct  3 2017 joerg.lorenzen@ki.tng.de
- Update to version 2.6.1
  + depth: fix SSE2 conversions with mod4 and mod8 widths
    (introduced in 2.6)
  + resize: fix heap corruption in AVX2 horizontal resizer
    (introduced in 2.6)
* Fri Aug 18 2017 joerg.lorenzen@ki.tng.de
- Update to version 2.6
  + api: add ZIMG_CPU_AUTO_64B for AVX-512 compatibility
  + colorspace: add support for ITU-R BT.2100 ICtCp
  + colorspace: add support for constant luminance ITU-R BT.2100 HLG
  + colorspace: add support for SMPTE ST.431-2 (traditional DCI-P3)
  + colorspace: add support for chromaticity-derived NCL/CL matrices
  + colorspace: assume 1000 cd/m^2 peak luminance for HLG
  + colorspace: fix crash on bad colorspace definition
  + depth: optimized SSE2/AVX2 conversions with 8/16-bit input
  + resize: optimized AVX2 horizontal upsampler memory usage
  + resize: optimized x86 SIMD function calling
  + x86: AVX-512 code paths for key functions
* Thu Jun 22 2017 joerg.lorenzen@ki.tng.de
- Update to version 2.5.1
  + depth: fix AVX2 conversion from half to byte/word
    (introduced in 2.1).
* Thu Mar 30 2017 joerg.lorenzen@ki.tng.de
- Initial package, version 2.5
